const type = 'LIGHTBOX.FETCHING';

export default (errors = {}) => {
    return {
        type,
        payload: { errors }
    };
};

export const reducer = {
    [type]: (state) => {
        return {
            ...state,
            disableClose: true,
            props: {
                ...state.props,
                fetching: true
            }
        };
    }
};
