const type = 'LIGHTBOX.SUBMITTED';

export default (errors = {}) => {
    return {
        type,
        payload: { errors }
    };
};

export const reducer = {
    [type]: (state, action) => {
        return {
            ...state,
            disableClose: false,
            props: {
                ...state.props,
                errors: action.payload.errors,
                submitting: false
            }
        };
    }
};
